Package org.apache.sling.caconfig.resource.impl.util

# Class PropertyUtil

java.lang.Object
org.apache.sling.caconfig.resource.impl.util.PropertyUtil

public final class PropertyUtil extends Object

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`getBooleanValueAdditionalKeys(org.apache.sling.api.resource.ValueMap valueMap, String key, String[] additionalKeys)`
Get boolean value from value map with key, or with alternative keys if not set.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getBooleanValueAdditionalKeys

public static boolean getBooleanValueAdditionalKeys(org.apache.sling.api.resource.ValueMap valueMap, String key, String[] additionalKeys)
Get boolean value from value map with key, or with alternative keys if not set.

Parameters:
  `valueMap` - Value map
  `key` - Primary key
  `additionalKeys` - Alternative keys
Returns:
  Value